
#container {
  display: flex;
  justify-content: center;
  flex-direction: row;
  /* position: relative; */
}

header {
  display: flex;
  justify-content: center;
}

body {
  margin: 0;
}

table {
  border-collapse: collapse;
  /* position: relative; */
  /* width: 100%; */
  /* aspect-ratio: 1; */
  width: 99vw;
  height: 75vh;

  thead tr td {
    height: 2em;
  }

  :is(th,td):first-child {
    width: 2em;
  }

  td,th {
    border: solid 1px black;
    /* padding: 0.3em; */
    width: 6em;
    height: 6em;
    text-align: center;      /* 左右の中央揃え */
    vertical-align: middle;  /* 上下の中央揃え */
    font-size: 0.5em;

    div {
      display: flex;
      flex-direction: column;
      height: 100%;
      justify-content: space-evenly;

      span:first-child {
        /* margin-bottom: 1em; */
      }
    }

    &.marker { background-color: rgb(255 195 195); }
    &#target-marker { background-color: rgb(255 106 106);}
  }

  th > div {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 100%;

    span:nth-child(2) {
      font-size: 2em;
    }
  }
}

div#time-line {
  position: absolute;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: red;
  display: none;
  pointer-events: none;
  z-index: 10;

  span#time-label {
    position: absolute;
    left: 10px;
    top: -18px; /* 線の少し上に配置 */
    background-color: red;
    color: white;
    font-size: 11px;
    padding: 2px 6px;
    border-radius: 3px;
    font-weight: bold;
    white-space: nowrap;
  }
}

div#test1 {
  display: flex;
  flex-direction: row;

  div#timeDiv {
    display: 'inline-block';
    display: flex;
    width: 100%;
    height: 3em;
    border: 1px solid;
    padding: 1em;
    /* cursor: 'ns-resize'; */
    align-items: center;
  }
  div#dayDiv {
    display: 'inline-block';
    display: flex;
    width: 100%;
    height: 3em;
    border: 1px solid;
    padding: 1em;
    /* cursor: 'ns-resize'; */
    align-items: center;
  }
}

div#discriptionDiv {
  /* display: none; */
  display: flex;
  position: fixed;
  top: 40vh;
  left: 0;
  right: 0;
  padding: 1em 2em;
  /* width: 100%; */
  height: 100%;
  background-color: #bababa;
  border-radius: 2em;
  flex-direction: column;
  z-index: 100;
  transform: translateY(100%);
  transition: all 0.4s ease;
  /* animation: slideUp 0.8s ease forwards; */

  &.show {
    transform: translateY(0);
  }

  @keyframes slideUp {
    to {
      transform: translateY(0);
    }
  }
}
